Subject: bug#19229: A workaround for hunspell

From: Chris Zheng <[email-masked]>
Date: Mon, 01 Dec 2014 03:50:50 +0800

Hi Alexander,
I think I have wasted more time than you. :(  I have a way to
workaround this problem.  See the below diff.  I don't know whether
this affect *nix users, so it just stays in my init files.

*** a	Mon Dec  1 03:40:31 2014
--- b	Mon Dec  1 03:40:31 2014
***************
*** 27,33 ****
  		(error "ispell-fhd: Default dict already defined as %s. Not using %s.\n"
  		       hunspell-default-dict dict)
  	      (setq affix-file dict)
! 	      (setq hunspell-default-dict (list basename affix-file)))
  	  (if (and (not (assoc basename ispell-hunspell-dict-paths-alist))
  		   (file-exists-p affix-file))
  	      ;; Entry has an associated .aff file and no previous value.
--- 27,35 ----
  		(error "ispell-fhd: Default dict already defined as %s. Not using %s.\n"
  		       hunspell-default-dict dict)
  	      (setq affix-file dict)
! 	      (setq hunspell-default-dict (list basename affix-file))
! 	      (add-to-list 'ispell-hunspell-dict-paths-alist
! 			   (list basename affix-file)))
  	  (if (and (not (assoc basename ispell-hunspell-dict-paths-alist))
  		   (file-exists-p affix-file))
  	      ;; Entry has an associated .aff file and no previous value.